use structopt::StructOpt;
use std::path::PathBuf;
use smartstring::alias::String;

#[derive(StructOpt, Debug)]
pub struct Parameters {
	/// Only examine files with these extensions (Comma-separated list)
	#[structopt(short, long, use_delimiter = true)]
	pub extensions: Option<Vec<String>>,

	/// Don't skip hidden files and directories
	#[structopt(short, long)]
	pub scan_hidden: bool,

	/// Directories to process
	#[structopt(name = "DIRS", default_value = ".", parse(from_os_str))]
	// dirs: PathBuf
	pub dirs: PathBuf,
}
